class_name SaveFile
extends Resource

@export var save_name = "Save"

func _init(p_save_name = "Save") -> void:
	save_name = p_save_name

func save() -> void: Save.save(self)
func load() -> void: Save.load(self) 

func reset() -> void:
	Save.file.erase_section(save_name)
	Save.file.save(Save.save_path)
